Revoke Sharing
If a user has shared a gift card with another user, this API enables the user to revoke the sharing rights.
Path Parameters
- Type: stringuuidrequired
Unique ID of the gift card issued by and maintained in the Punchh system
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringAccept
- Language Preferred language
- Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
Body
application/json
- Type: stringclientrequired
OAuth client ID provided by the business
- Type: stringrequired
Email address of the user whose gift card sharing rights will be revoked
Responses
- text/plain
- application/json
- application/json
Request Example for delete/api2/mobile/gift_cards/{uuid}/revoke
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/{uuid}/revoke' \
--request DELETE \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Accept-Language: en' \
--header 'Content-Type: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"sharer_email": "test@example.com",
"client": "CLIENT_GOES_HERE"
}'
[
"You are no longer sharing this card with <user>."
]